mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. This is the common interface for all Principal classes. In addition to having an identity, a principal may also belong to specific roles.
- Property
  System.Security.Principal.IIdentity The identity of the current principal represents. The current identity of the principal. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A textual representation of the role. Return the membership of the current principal in the specified role. True if the current identity is a member of the specified role, false otherwise. To be added 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)